Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class DominoRecipientTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.groupware.RecipientTypeEnum
                  |
                  +--com.compoze.collab.domino.DominoRecipientTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class DominoRecipientTypeEnum
extends RecipientTypeEnum
implements java.io.Serializable

An enumeration of the Domino recipient types. The enumeration class that contains `DominoRecipientType` elements.

See Also:
  Serialized Form

Field Summary
`static int` | `NUM_ELEMENTS`
`static DominoRecipientType` | `RESOURCE` The resource recipient type.
`static DominoRecipientType` | `ROOM` The room recipient type.
`static int` | `VALUE_RESOURCE`
`static int` | `VALUE_ROOM`

Fields inherited from class com.compoze.collab.groupware.RecipientTypeEnum
`BCC, CC, TO, VALUE_BCC, VALUE_CC, VALUE_TO`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DominoRecipientTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DominoRecipientTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ROOM

    public static final int VALUE_ROOM

### VALUE_RESOURCE

    public static final int VALUE_RESOURCE

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### ROOM

    public static final DominoRecipientType ROOM

  The room recipient type.

### RESOURCE

    public static final DominoRecipientType RESOURCE

  The resource recipient type.

Constructor Detail

### DominoRecipientTypeEnum

    protected DominoRecipientTypeEnum(java.lang.Class elementClass,
                                      int iNumElements,
                                      com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                      EnumElement defaultElement,
                                      java.lang.String sInternalName,
                                      boolean bMaskable)

  Constructor.

### DominoRecipientTypeEnum

    protected DominoRecipientTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.